Bug 772223 - [as5 plugin] JAVA_OPTS and EAP server command line arguments
[as5 plugin] JAVA_OPTS and EAP server command line arguments
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All All
urgent Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11 823587
  Show dependency treegraph
 
Reported: 2012-01-06 09:19 EST by Douglas Woods
Modified: 2013-08-31 05:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 812400 823587 (view as bug list)
Environment:
Last Closed: 2013-08-31 05:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Woods 2012-01-06 09:19:34 EST
Description of problem:
No ability to specify JAVA_OPTS or EAP server command line arguments within JON v3.0 Inventory Connection settings.

Version-Release number of selected component (if applicable):
v3.0

How reproducible:
Start an EAP server with command line arguments.e.g.-Djboss.service.binding.set=ports-01.
Inventory the EAP server into JON
Shutdown the EAP server via JON Operations
Start the EAP server vi JON Operations

Steps to Reproduce:
1.Start a EAP server with command line arguments
2.Inventory the EAP server into JON
3. Shutdown the EAP server
4. Start the EAP server
  
Actual results:
Server will start using the default port bindings

Expected results:
Specify all command line arguments for the EAP server to successfully start.

Additional info:
At a minimum, adding two properties to the "Operations Group" of an EAP server "Connections Settings" for specifying "JAVA_OPTS" and server command line arguments.
Also, inventorying of JAVA_OPTS and/or command line arguments when inventorying an EAP server would be highly desirable as this would eliminate the need to manually specifying these properties after inventorying an EAP server.
Comment 1 Mike Foley 2012-02-27 12:04:54 EST
triage asnatos, mfoley, crouch, loleary ...JON 3.1
Comment 2 Charles Crouch 2012-03-06 09:01:48 EST
Taking this out of the sprint so we can split it up into separate requirements
Comment 3 Charles Crouch 2012-05-01 10:31:56 EDT
Making this block the rhq4.4 release
Comment 4 Jay Shaughnessy 2012-05-04 10:20:54 EDT
master commit 3071e043915db2209f5224496a6fe8c342b75782

This is the last in the series of commits for this work.
Comment 5 Jay Shaughnessy 2012-05-15 13:29:39 EDT
Some more related work:

master commit f3b892f0319e56d18d0c3f3d2d88399483248c1e

    Further update startScript prop descriptions with feedback from field.

master commit 887945009dfcb6af105100f6d2717f45ee652895

    - Add tests for StartScriptConfiguration
      - basic util test
      - long (invalid) value handling for startScriptEnv or startScriptArg

      Solution is to not update the startScript property as a truncated
      value  will provide an invalid value (bad map) and/or incomplete env.
      Instead, we report a config prop error and log the full value in the
      agent log for inspection. Note the GUI already prevents values that are
      too long from being entered, so this protection is for discovery or
      CLI based change.

    - Fixed bug in StartScriptConfiguration setters when the prop was not yet
      in the plugin config (mainly a unit test scenario)
Comment 6 Viet Nguyen 2012-05-15 17:09:46 EDT
Verified in 3.1 BETA1.  Also specified additional params in JON GUI for EAP Start Script Argument and saw that they showed up in system ps -ef

Note You need to log in before you can comment on or make changes to this bug.